#!/bin/sh

rm -rf simv* csrc DVEfiles AN.DB

echo "Compiling Core Simulation Models"
vlogan +v2k \
../../../gig_eth_pcs_pma_sgmii_v11_5.v \
../../example_design/gig_eth_pcs_pma_sgmii_v11_5_sync_block.v \
../../example_design/gig_eth_pcs_pma_sgmii_v11_5_reset_sync.v \
../../example_design/sgmii_adapt/gig_eth_pcs_pma_sgmii_v11_5_johnson_cntr.v \
../../example_design/sgmii_adapt/gig_eth_pcs_pma_sgmii_v11_5_clk_gen.v \
../../example_design/sgmii_adapt/gig_eth_pcs_pma_sgmii_v11_5_rx_rate_adapt.v \
../../example_design/sgmii_adapt/gig_eth_pcs_pma_sgmii_v11_5_tx_rate_adapt.v \
../../example_design/sgmii_adapt/gig_eth_pcs_pma_sgmii_v11_5_sgmii_adapt.v \
../../example_design/gig_eth_pcs_pma_sgmii_v11_5_block.v \
../../example_design/gig_eth_pcs_pma_sgmii_v11_5_example_design.v \
../stimulus_tb.v \
../demo_tb.v

echo "Elaborating design"
vcs +vcs+lic+wait \
    -debug \
    demo_tb glbl

echo "Starting simulation"
./simv -ucli -i ucli_commands.key

dve -vpd vcdplus.vpd -session vcs_session.tcl
