/*******************************************************************************
*                                                                              *
* eXgx`				                                                   *
*                                                                              *
*******************************************************************************/
`timescale 1ps/1ps


`include "JTAG_IF.V"

module JTAG_IF_TB;

    reg		   clk;
    reg		   RST;
    reg	[7:0]   LOC_WD;
    reg	   LOC_WE;
    reg	[5:0]   LOC_ENB;
    reg [7:0]   JTAG_FC;
	 reg				RD_ENB;

//------------------------------------------------------------------------------
//  ͐M̕ω`
//------------------------------------------------------------------------------
    initial begin   // V~[^Əォ牺ɈxsLq
        JTAG_FC = 8'd0;
        RST = 1'b1;	// Zbg// lݒ
		  RD_ENB = 1'b0;
		  LOC_WD[7:0] = 8'b0000_0000;LOC_WE = 1'b0;LOC_ENB[5:0] = 6'b000000;
        repeat(10) @(negedge clk); //clock10҂
        
                                    // Mω킩₷悤ɗgĂ
                                    // @(negedge CLK)CLK̗ŎsƌӖ
        RST = 1'b0;	// Zbg 
		  JTAG_FC = 8'd0;
        @(negedge clk);LOC_WD[7:0] = 8'b1000_1000;LOC_WE = 1'b1;LOC_ENB[5:0] = 6'b000001;
        @(negedge clk);LOC_WD[7:0] = 8'b0100_0100;LOC_WE = 1'b1;LOC_ENB[5:0] = 6'b000010;
        @(negedge clk);LOC_WD[7:0] = 8'b0010_0010;LOC_WE = 1'b1;LOC_ENB[5:0] = 6'b000100;
        @(negedge clk);LOC_WD[7:0] = 8'b0001_0001;LOC_WE = 1'b1;LOC_ENB[5:0] = 6'b001000;
        
        @(negedge clk);LOC_WD[7:0] = 8'b1000_1000;LOC_WE = 1'b1;LOC_ENB[5:0] = 6'b000001;
        @(negedge clk);LOC_WD[7:0] = 8'b0100_0100;LOC_WE = 1'b1;LOC_ENB[5:0] = 6'b000010;
        @(negedge clk);LOC_WD[7:0] = 8'b0010_0010;LOC_WE = 1'b1;LOC_ENB[5:0] = 6'b000100;
        @(negedge clk);LOC_WD[7:0] = 8'b0001_0001;LOC_WE = 1'b1;LOC_ENB[5:0] = 6'b001000;
        
        @(negedge clk);LOC_WD[7:0] = 8'b1000_1000;LOC_WE = 1'b1;LOC_ENB[5:0] = 6'b000001;
        @(negedge clk);LOC_WD[7:0] = 8'b0100_0100;LOC_WE = 1'b1;LOC_ENB[5:0] = 6'b000010;
        @(negedge clk);LOC_WD[7:0] = 8'b0010_0010;LOC_WE = 1'b1;LOC_ENB[5:0] = 6'b000100;
        @(negedge clk);LOC_WD[7:0] = 8'b0001_0001;LOC_WE = 1'b1;LOC_ENB[5:0] = 6'b001000;
        
        @(negedge clk);LOC_WD[7:0] = 8'b1000_1000;LOC_WE = 1'b1;LOC_ENB[5:0] = 6'b000001;
        @(negedge clk);LOC_WD[7:0] = 8'b0100_0100;LOC_WE = 1'b1;LOC_ENB[5:0] = 6'b000010;
        @(negedge clk);LOC_WD[7:0] = 8'b0010_0010;LOC_WE = 1'b1;LOC_ENB[5:0] = 6'b000100;
        @(negedge clk);LOC_WD[7:0] = 8'b0001_0001;LOC_WE = 1'b1;LOC_ENB[5:0] = 6'b001000;
		  @(negedge clk);LOC_WD[7:0] = 8'b0000_0000;LOC_WE = 1'b0;LOC_ENB[5:0] = 6'b000000;RD_ENB = 1'b1;

        repeat(2000) @(negedge clk);
        $finish;    // V~[VI

    end
//------------------------------------------------------------------------------
//  DUT
//------------------------------------------------------------------------------
    JTAG_IF     DUT(
    // System
    .CLK(clk),
    .RST(RST),
	 .RD_ENB(RD_ENB),
    .JTAG_FC(JTAG_FC),
    .LOC_WD(LOC_WD[7:0]),
    .LOC_WE(LOC_WE),
    .LOC_ENB(LOC_ENB[5:0])
    );
	 
//------------------------------------------------------------------------------
//  Clock generator
//------------------------------------------------------------------------------
 
    parameter   CLK_PERIOD   = 100;    // ps

    initial begin
        clk = 1'b0;
    end

    always #(CLK_PERIOD/2) begin
        clk  <= ~clk;
    end



//------------------------------------------------------------------------------
endmodule
